<?xml version='1.0' encoding='utf-8'?>
<launch>
    <!-- Thes are ghe arguments you can pass this launch file, for example paused:=true-->
    <arg name="paused" default="false"/>
    <arg name="use_sim_time" default="true"/>
    <arg name="gui" default ="true"/>
    <arg name="headless" default ="false"/>
    <arg name="debug" default ="false"/>
    <arg name="robot_name" default = "panda"/>
    <arg name="world_name" default="/home/ros/mu/m5_ws/src/worlds/world_hammer.world"/>

    <!-- We resume the logic in empy_world.launch, changing oly the name of the world to be launched -->
    <include file="$(find gazebo_ros)/launch/empty_world.launch">
        <arg name="world_name" value="$(arg world_name)"/>
        <arg name="gui" value="$(arg gui)" />
        <arg name="use_sim_time" value="$(arg use_sim_time)"/>
        <arg name="debug" value="$(arg debug)" />
        <arg name="paused" value="$(arg paused)"/>
    </include>

    <!--                                          -->	
    <!-- Load information to the parameter server -->	
    <!--                                          -->	

    <!-- Load the robot description-->	
    <param name="robot_description" 
          command="$(find xacro)/xacro /home/ros/mu/m5_ws/src/robot/panda_arm.urdf.xacro"/>

    <!-- Load the controller-->	
    <rosparam command="load" file="/home/ros/mu/m5_ws/src/controllers/joint_states.yaml"/>
    <rosparam command="load" file="/home/ros/mu/m5_ws/src/controllers/arm_controller.yaml"/>
    <rosparam command="load" file="/home/ros/mu/m5_ws/src/controllers/default.yaml"/>

    <!-- Spawn the robot -->
    <node name="spawn" pkg="gazebo_ros" type="spawn_model" args="-param robot_description -urdf -model panda"/>

    <!-- Start the controllers -->
    <node name="$(arg robot_name)_controller_spawner" pkg="controller_manager" type="spawner" respawn="false"
        output="screen" args="panda_arm_controller joint_state_controller"/>

    <!-- Start state publisher node -->
    <node name="rob_st_pub" pkg="robot_state_publisher" type="robot_state_publisher"/> 

    <!-- Start move group -->
    <include file="/home/ros/mu/m5_ws/src/m5_moveit/launch/move_group.launch" >
    </include>  

</launch>

